/**
 * @author WanJl
 * @version 1.0
 * @title Demo01
 * @description 流程控制
 * @create 2026/7/14
 */
public class Demo01 {
    public static void main(String[] args) {
        /*
            逻辑
            流程控制就是告诉程序，要在什么情况下做什么事 的逻辑
            如果 下雨 要打伞 否则就不打伞

            程序的结构分为三种：
                1、 顺序结构  代码从左到右从上到下依次执行
                2、 分支结构 为代码设定条件，如果满足条件，就执行A，不满足就执行B
                        如果 (是否下雨){
                            要打伞
                        }否则{
                            不打伞
                        }
                        if(下雨==true){       括号里的 必须是布尔表达式（布尔表达式就是运算的结果是布尔类型值 true 或 false）
                            要打伞
                        }else{
                            不打伞
                        }
                 比如判断： 15 是 正数 还是负数
         */
        System.out.println("前面有n多代码...............");
        int a=15;   //定义一个整数类型的变量
        if (a>0){   //判断 变量值是否大于0   运行结果是boolean类型值
            System.out.println("正数");
        }else {
            System.out.println("负数");
        }
        System.out.println("后面有n多代码...............");
        /*
            1、判断年龄age 是否大于30岁
            2、判断年龄 age2 是否成年
            3、判断分数 score 是否优秀 大于90分

         */
    }
}
